{
  "$schema": "https://schema.tauri.app/config/2",
  "productName": "Gitty",
  "version": "2026.8.4",
  "identifier": "com.gitty",
  "build": {
    "beforeDevCommand": "npm run dev",
    "devUrl": "http://127.0.0.1:1420",
    "beforeBuildCommand": "npm run build",
    "frontendDist": "../dist"
  },
  "app": {
    "windows": [
      {
        "label": "main",
        "title": "Gitty",
        "width": 1200,
        "height": 800,
        "minWidth": 900,
        "minHeight": 600,
        "visible": false,
        "decorations": false,
        "shadow": true
      },
      {
        "label": "splashscreen",
        "url": "splashscreen.html",
        "title": "Gitty",
        "width": 460,
        "height": 420,
        "resizable": false,
        "decorations": false,
        "center": true,
        "skipTaskbar": true,
        "shadow": true
      }
    ],
    "security": {
      "csp": null
    }
  },
  "bundle": {
    "active": true,
    "targets": [
      "nsis"
    ],
    "icon": [
      "icons/32x32.png",
      "icons/128x128.png",
      "icons/128x128@2x.png",
      "icons/icon.icns",
      "icons/icon.ico"
    ],
    "createUpdaterArtifacts": true,
    "windows": {
      "nsis": {
        "installMode": "currentUser",
        "installerIcon": "icons/icon.ico",
        "installerHooks": "nsis-hooks.nsh"
      }
    }
  },
  "plugins": {
    "updater": {
      "pubkey": "dW50cnVzdGVkIGNvbW1lbnQ6IG1pbmlzaWduIHB1YmxpYyBrZXk6IDdDNEJGRTZERTREOTc5QjkKUldTNWVkbmtiZjVMZk02YzdpenVLOVltREJpRkFrc2F4dUwzaTV5M3pacFRVR0tmd25xSGtjK1MK",
      "endpoints": [
        "https://cdn.cbsk-tech.de/gitty/latest.json",
        "https://cdn.cbsk-tech.de/gitlite/latest.json"
      ]
    }
  }
}
